1. Indicator Data Input
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
        GET
      • Get Data Input
        GET
      • Create Data Input
        POST
      • Update Data Input
        PUT
      • Delete Data Input
        DELETE
      • Create or Update Data Input
        POST
    • Units
      • List Units
      • Show Unit
    • Themes
      • List Themes
      • Show Theme
    • Groups
      • Show Group
      • List Groups
    • Regimes
      • Show Regime
      • List Regimes
    • Years
      • Show Year
      • List Years
  1. Indicator Data Input

Get Data Input

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
GET
/api/external/corporate/data-input/{{ID}}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://platform.esginvest.com/api/external/corporate/data-input/{{ID}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": {
        "id": 23827,
        "value": "123.45",
        "target": null,
        "target_type": null,
        "meta": null,
        "table_item_id": null,
        "set_id": null,
        "company_id": 156,
        "indicator_id": 893,
        "unit_id": 107,
        "year_id": 12,
        "status_id": 1,
        "created_by": 17,
        "modified_by": 17,
        "created_at": "2026-02-11T00:23:05.000000Z",
        "updated_at": "2026-02-11T00:23:05.000000Z",
        "not_applicable": false,
        "reference": null,
        "comment": null,
        "reason": null
    }
}
Modified at 2026-03-30 01:19:50
Previous
List Data Input
Next
Create Data Input
Built with